/*
 * $Id: break.h,v 1.3 2000/09/01 13:40:59 cjh Exp $
 *
 * Breakpoint table and API
 *
 * Copyright (c) 1996-2000, Clifford Heath.
 *
 * This program may be used for any commercial or noncommercial purpose
 * without charge, but acknowledgement of authorship and this copyright
 * message must be retained in any copies.
 */
#if	!defined(BREAK_H)
#define	BREAK_H

int		BreakAdd(ushort addr);	// Add a breakpoint, return number
boolean		BreakRemove(int brknum);// Remove a breakpoint
void		BreakList();		// List all breakpoints
int		BreakCount();		// Number of breakpoints
boolean		BreakEnable(int brknum, boolean enable);
boolean		BreakEnableQuiet(int brknum, boolean enable);
int		BreakSetAt(ushort addr);// Which breakpoint is here?
uchar		BreakOpCode(int brknum);// Which opcode was replaced
ushort		BreakAddr(int brknum);	// What address is the brkpt at?

#endif	/* BREAK_H */
