

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; ProgRom; B contains number of bytes to program minus one
ProgRom:	ldy	*EREG		; Get control register address
		tba			; Counter into A
ProgLoop:	jsr	*INSCI		; Get byte
		psha			; Save A register
		jsr	*Prog1Rom	; Program it
		pula			; Restore A register
		jsr	*OUTSCI		; Echo byte
		inx			; Next location
		deca			; Decrement count
		blt	StoreEADDR	; Done? Then save finishing address.
		bra	ProgLoop
