;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; $Id: talkkram.s,v 1.3 2000/11/05 00:36:59 cjh Exp $
;
; 68hc11 debug monitor (RAM resident version for K series)
;
; The K series bootstrap starts at 0x80, but the actual protocol code
; starts at 0x100.
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	include	"hc11k.s"		; register definitions for K series
	include	"config.s"		; talker configuration definitions

Start:	clr	REGS+BAUDHI		; Use smaller baud rate divisors
	jmp	Initialise		; Jump to protocol starter

	include	"ram.ext.s"		; RAM-only routines, with ext addressing
	include	"ramvec.s"		; RAM vectors
	include	"protocol.ext.s"	; Shared Talker code
	include	"progrom.ext.s"		; Prog1Rom routine, with ext addressing
