;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; $Id: ram.s,v 1.4 2000/11/05 00:36:59 cjh Exp $
;
; 68hc11 debug monitor (RAM bootloaded version)
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Prog1Rom; Called to program 1 ROM cell
; - X contains address to program
; - Y contains address of control register
; In an (E)EPROM version, this routine MUST be in RAM.
Prog1Rom:	; ldx	*EADDR		; already done
		ldaa	*EPREP		; Get "Prepare" value
		staa	0,y		; Prepare to latch data and address
		stab	0,x		; Here it is...
		ldaa	*ESTART		; Get "Start" value
		staa	0,y		; Turn on programming voltage
Prog1Wait:	jsr	*INSCI		; Get idle character into B
		beq	Prog1Wait	; Still IDLING?
		ldaa	*EDONE		; Get "Done" value
		staa	0,y		; Turn off programming voltage
		ldab	0,x		; Re-read programmed location
		rts			; Done

